/****************************************************************************
** Form interface generated from reading ui file './kbearsitemanagerbase.ui'
**
** Created: fre aug 9 22:01:14 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#ifndef KBEARSITEMANAGERBASE_H
#define KBEARSITEMANAGERBASE_H

#include <qvariant.h>
#include <kdialog.h>
#include <kiconloader.h>
#include <klineedit.h>
#include <klistview.h>
#include <knuminput.h>
#include <kpushbutton.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class KBearSiteManagerTreeView;
class KComboBox;
class KIntSpinBox;
class KLineEdit;
class KPushButton;
class QCheckBox;
class QGroupBox;
class QLabel;
class QTextEdit;

class KBearSiteManagerBase : public KDialog
{ 
    Q_OBJECT

public:
    KBearSiteManagerBase( QWidget* parent = 0, const char* name = 0 );
    ~KBearSiteManagerBase();

    KComboBox* p_encodingComboBox;
    KPushButton* saveButton;
    KPushButton* removeButton;
    KPushButton* importButton;
    KPushButton* dirButton;
    KPushButton* cancelButton;
    KPushButton* connectButton;
    QGroupBox* groupBox;
    QLabel* descriptionLabel;
    QTextEdit* descriptionEdit;
    QLabel* siteLabel;
    QLabel* hostNameLabel;
    QCheckBox* anonymousCheck;
    QLabel* userNameLabel;
    QLabel* passwordLabel;
    QLabel* defaultLocalDirLabel;
    QLabel* defaultRemoteDirLabel;
    QLabel* portLabel;
    KLineEdit* siteEdit;
    KLineEdit* hostNameEdit;
    KIntSpinBox* p_portSpinBox;
    QLabel* p_protocolLabel;
    KComboBox* p_protocolComboBox;
    KPushButton* p_advancedSettingsButton;
    KComboBox* userNameEdit;
    KLineEdit* passwordEdit;
    KLineEdit* defaultLocalDirEdit;
    KLineEdit* defaultRemoteDirEdit;
    QCheckBox* p_showSystemTrayCheckBox;
    KBearSiteManagerTreeView* siteTreeView;
    QLabel* p_encodingLabel;
    KPushButton* p_reloadButton;


public slots:
    virtual void slotSelectedSite( QListViewItem * ) = 0;

protected slots:
    virtual void slotSetEdited() = 0;
    virtual void slotSetHostEdited() = 0;
    virtual void slotAdvancedSettings() = 0;
    virtual void slotConnect() = 0;
    virtual void slotDoubleClicked( QListViewItem * ) = 0;
    virtual void slotMoved(const QString&, const QString&, QListViewItem*,bool) = 0;
    virtual void slotNewGroup() = 0;
    virtual void slotRemove() = 0;
    virtual void slotSave() = 0;
    virtual void slotSetEncoding(const QString&) = 0;
    virtual void slotSelectedProtocol( const QString & ) = 0;
    virtual void slotOpenImportDialog() = 0;
    virtual void slotItemRenamed(QListViewItem*, const QString&, int) = 0;
    virtual void slotPressed(QListViewItem*) = 0;
    virtual void slotContextMenu( KListView*, QListViewItem*, const QPoint& ) = 0;

protected:
    QGridLayout* KBearSiteManagerBaseLayout;
    QGridLayout* Layout7;
    QGridLayout* groupBoxLayout;
    QVBoxLayout* Layout7_2;
    QVBoxLayout* Layout10;
    QHBoxLayout* Layout9;
};

#endif // KBEARSITEMANAGERBASE_H
