#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './mixedsettingsbase.ui'
**
** Created: fre aug 9 22:01:03 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "mixedsettingsbase.h"

#include <qvariant.h>
#include <kcombobox.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a MixedSettingsBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
MixedSettingsBase::MixedSettingsBase( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MixedSettingsBase" );
    resize( 508, 284 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setCaption( tr2i18n( "Mixed Settings" ) );
    setFocusPolicy( QWidget::WheelFocus );
    MixedSettingsBaseLayout = new QVBoxLayout( this, 11, 6, "MixedSettingsBaseLayout"); 

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setMinimumSize( QSize( 0, 98 ) );
    Frame3->setFrameShape( QFrame::Box );
    Frame3->setFrameShadow( QFrame::Raised );
    Frame3Layout = new QGridLayout( Frame3, 1, 1, 11, 6, "Frame3Layout"); 

    p_queueTransferCheckBox = new QCheckBox( Frame3, "p_queueTransferCheckBox" );
    p_queueTransferCheckBox->setText( tr2i18n( "Queue Transfers" ) );
    QToolTip::add( p_queueTransferCheckBox, tr2i18n( "Check this option if you want to queue the transfers. This means that there will be only one active transfer at a time." ) );
    QWhatsThis::add( p_queueTransferCheckBox, tr2i18n( "Check this option if you want to queue the transfers. This means that there will be only one active transfer at a time, and the next will not start until the first is done." ) );

    Frame3Layout->addWidget( p_queueTransferCheckBox, 3, 0 );

    p_runTipCheckBox = new QCheckBox( Frame3, "p_runTipCheckBox" );
    p_runTipCheckBox->setText( tr2i18n( "Run \"Tip of today\" at startup." ) );
    p_runTipCheckBox->setChecked( TRUE );
    QToolTip::add( p_runTipCheckBox, tr2i18n( "Check this option if you want the \"Tip of today\" dialog to run at application startup." ) );
    QWhatsThis::add( p_runTipCheckBox, tr2i18n( "Check this option if you want the \"Tip of today\" dialog to run at application startup." ) );

    Frame3Layout->addWidget( p_runTipCheckBox, 2, 0 );

    p_confirmExitCheckBox = new QCheckBox( Frame3, "p_confirmExitCheckBox" );
    p_confirmExitCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, p_confirmExitCheckBox->sizePolicy().hasHeightForWidth() ) );
    p_confirmExitCheckBox->setText( tr2i18n( "On active transfers, always confirm before exiting." ) );
    p_confirmExitCheckBox->setChecked( TRUE );
    QToolTip::add( p_confirmExitCheckBox, tr2i18n( "Check this option if you want the application to check if there are active or queued transfers, and if so, ask for confirmation before exiting." ) );
    QWhatsThis::add( p_confirmExitCheckBox, tr2i18n( "Check this option if you want the application to check if there are active or queued transfers, and if so, ask for confirmation before exiting." ) );

    Frame3Layout->addWidget( p_confirmExitCheckBox, 1, 0 );

    p_showSystemTrayCheckBox = new QCheckBox( Frame3, "p_showSystemTrayCheckBox" );
    p_showSystemTrayCheckBox->setText( tr2i18n( "Show system tray icon" ) );
    p_showSystemTrayCheckBox->setChecked( TRUE );
    QToolTip::add( p_showSystemTrayCheckBox, tr2i18n( "Check this option if you want the system tray icon to be visible." ) );
    QWhatsThis::add( p_showSystemTrayCheckBox, tr2i18n( "Check this option if you want the system tray icon to be visible." ) );

    Frame3Layout->addWidget( p_showSystemTrayCheckBox, 0, 0 );
    MixedSettingsBaseLayout->addWidget( Frame3 );

    Frame5 = new QFrame( this, "Frame5" );
    Frame5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, Frame5->sizePolicy().hasHeightForWidth() ) );
    Frame5->setMinimumSize( QSize( 0, 45 ) );
    Frame5->setFrameShape( QFrame::Box );
    Frame5->setFrameShadow( QFrame::Raised );
    Frame5Layout = new QHBoxLayout( Frame5, 11, 6, "Frame5Layout"); 

    p_emailLabel = new QLabel( Frame5, "p_emailLabel" );
    p_emailLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, p_emailLabel->sizePolicy().hasHeightForWidth() ) );
    p_emailLabel->setText( tr2i18n( "Email Address:" ) );
    Frame5Layout->addWidget( p_emailLabel );

    p_emailComboBox = new KComboBox( FALSE, Frame5, "p_emailComboBox" );
    p_emailComboBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, p_emailComboBox->sizePolicy().hasHeightForWidth() ) );
    p_emailComboBox->setEditable( TRUE );
    p_emailComboBox->setDuplicatesEnabled( FALSE );
    QToolTip::add( p_emailComboBox, tr2i18n( "Enter the email adress you want to use as password on anonymous servers." ) );
    QWhatsThis::add( p_emailComboBox, tr2i18n( "Enter the email adress you want to use as password on anonymous servers." ) );
    Frame5Layout->addWidget( p_emailComboBox );
    MixedSettingsBaseLayout->addWidget( Frame5 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setFrameShadow( QButtonGroup::Raised );
    ButtonGroup1->setTitle( tr2i18n( "Preview mode" ) );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QHBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    p_readOnlyButton = new QRadioButton( ButtonGroup1, "p_readOnlyButton" );
    p_readOnlyButton->setText( tr2i18n( "Read only mode" ) );
    p_readOnlyButton->setChecked( TRUE );
    QToolTip::add( p_readOnlyButton, tr2i18n( "Check this option if you want to open files in read only mode." ) );
    QWhatsThis::add( p_readOnlyButton, tr2i18n( "If you want the files to be opened in read only mode when left clicking them then check this option." ) );
    ButtonGroup1Layout->addWidget( p_readOnlyButton );

    p_readWriteButton = new QRadioButton( ButtonGroup1, "p_readWriteButton" );
    p_readWriteButton->setText( tr2i18n( "Read/write mode" ) );
    QToolTip::add( p_readWriteButton, tr2i18n( "Check this option if you want to open files in read/write mode." ) );
    QWhatsThis::add( p_readWriteButton, tr2i18n( "If you want the files to be opened in read/write mode when left clicking them then check this option." ) );
    ButtonGroup1Layout->addWidget( p_readWriteButton );

    p_askButton = new QRadioButton( ButtonGroup1, "p_askButton" );
    p_askButton->setText( tr2i18n( "Ask" ) );
    QToolTip::add( p_askButton, tr2i18n( "Check this option you want to be asked in which mode to open the file." ) );
    QWhatsThis::add( p_askButton, tr2i18n( "Check this option if you want the application to ask you for view mode each time you left click a file." ) );
    ButtonGroup1Layout->addWidget( p_askButton );
    MixedSettingsBaseLayout->addWidget( ButtonGroup1 );
    QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    MixedSettingsBaseLayout->addItem( spacer );

    // tab order
    setTabOrder( p_confirmExitCheckBox, p_runTipCheckBox );
    setTabOrder( p_runTipCheckBox, p_queueTransferCheckBox );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
MixedSettingsBase::~MixedSettingsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

#include "mixedsettingsbase.moc"
