#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './siteimportdialogbase.ui'
**
** Created: fre aug 9 22:01:21 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "siteimportdialogbase.h"

#include <qvariant.h>
#include <klistview.h>
#include <kprogress.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a SiteImportDialogBase which is a child of 'parent', with the 
 *  name 'name'.' 
 */
SiteImportDialogBase::SiteImportDialogBase( QWidget* parent,  const char* name )
    : KDialog( parent, name )
{
    if ( !name )
	setName( "SiteImportDialogBase" );
    resize( 349, 264 ); 
    setCaption( tr2i18n( "Import Bookmarks" ) );
    setSizeGripEnabled( TRUE );
    SiteImportDialogBaseLayout = new QHBoxLayout( this, 11, 6, "SiteImportDialogBaseLayout"); 

    m_availableFiltersListView = new KListView( this, "m_availableFiltersListView" );
    m_availableFiltersListView->addColumn( tr2i18n( "Available filters" ) );
    m_availableFiltersListView->header()->setResizeEnabled( FALSE, m_availableFiltersListView->header()->count() - 1 );
    m_availableFiltersListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, m_availableFiltersListView->sizePolicy().hasHeightForWidth() ) );
    m_availableFiltersListView->setFrameShape( KListView::WinPanel );
    m_availableFiltersListView->setFrameShadow( KListView::Sunken );
    m_availableFiltersListView->setLineWidth( 1 );
    m_availableFiltersListView->setAllColumnsShowFocus( TRUE );
    m_availableFiltersListView->setShowSortIndicator( TRUE );
    m_availableFiltersListView->setRootIsDecorated( TRUE );
    m_availableFiltersListView->setFullWidth( TRUE );
    QToolTip::add( m_availableFiltersListView, tr2i18n( "This list shows all available  import filters." ) );
    QWhatsThis::add( m_availableFiltersListView, tr2i18n( "This list shows all available  import filters. Select a filter and push the import button to import the bookmarks." ) );
    SiteImportDialogBaseLayout->addWidget( m_availableFiltersListView );

    Layout5 = new QVBoxLayout( 0, 0, 6, "Layout5"); 
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5->addItem( spacer );

    m_buttonImport = new KPushButton( this, "m_buttonImport" );
    m_buttonImport->setEnabled( FALSE );
    m_buttonImport->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_buttonImport->sizePolicy().hasHeightForWidth() ) );
    m_buttonImport->setMinimumSize( QSize( 100, 40 ) );
    QFont m_buttonImport_font(  m_buttonImport->font() );
    m_buttonImport_font.setBold( TRUE );
    m_buttonImport->setFont( m_buttonImport_font ); 
    m_buttonImport->setText( tr2i18n( "Import" ) );
    QToolTip::add( m_buttonImport, tr2i18n( "Push this button to import bookmarks with the selected filter." ) );
    QWhatsThis::add( m_buttonImport, tr2i18n( "Push this button to import bookmarks with the selected filter." ) );
    Layout5->addWidget( m_buttonImport );

    m_progress = new KProgress( this, "m_progress" );
    m_progress->setEnabled( FALSE );
    m_progress->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_progress->sizePolicy().hasHeightForWidth() ) );
    m_progress->setMinimumSize( QSize( 100, 0 ) );
    Layout5->addWidget( m_progress );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5->addItem( spacer_2 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout5->addItem( spacer_3 );

    m_buttonOk = new QPushButton( this, "m_buttonOk" );
    m_buttonOk->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_buttonOk->sizePolicy().hasHeightForWidth() ) );
    m_buttonOk->setMinimumSize( QSize( 100, 0 ) );
    m_buttonOk->setText( tr2i18n( "OK" ) );
    m_buttonOk->setAccel( 0 );
    m_buttonOk->setAutoDefault( TRUE );
    m_buttonOk->setDefault( TRUE );
    Layout5->addWidget( m_buttonOk );
    SiteImportDialogBaseLayout->addLayout( Layout5 );

    // signals and slots connections
    connect( m_buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_availableFiltersListView, SIGNAL( selectionChanged() ), this, SLOT( slotSelectionChanged() ) );
    connect( m_buttonImport, SIGNAL( clicked() ), this, SLOT( slotImport() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
SiteImportDialogBase::~SiteImportDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void SiteImportDialogBase::slotSelectionChanged()
{
    qWarning( "SiteImportDialogBase::slotSelectionChanged(): Not implemented yet!" );
}

void SiteImportDialogBase::slotImport()
{
    qWarning( "SiteImportDialogBase::slotImport(): Not implemented yet!" );
}

#include "siteimportdialogbase.moc"
